## ros-humble-clearpath-config 0.1.0

=== debian/changelog ===
ros-humble-clearpath-config (0.1.0-1jammy) jammy; urgency=high

  * Updated samples to include workspace
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 31 Aug 2023 04:00:00 -0000

ros-humble-clearpath-config (0.0.6-1jammy) jammy; urgency=high

  * Added all modules to setup.py
  * Removed J100 bumpers from samples
  * Updated sample configs
  * Added posts and disks to samples
  * Removed unused include
  * Split tower into post and disk
  * Renamed ust10 to ust
  * Updated README
  * Updated samples
  * Removed eof line
  * Fixed port paths
  * Added fenders, default disabled
  * Added ROS CI, issue templates and codeowners.
  * Added sick stand and variable-leg tower
  * Added UM7/UM6
  * Contributors: Luis Camero, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 10 Aug 2023 04:00:00 -0000

ros-humble-clearpath-config (0.0.5-1jammy) jammy; urgency=high

  * Split novatel GPS
  * PyTest issues
  * Linter issues
  * Node names and flatten dictionaries
  * Added ros_parameters to extras
  * Added Garmin and Novatel gps
  * Added node names to rosparameters in sensors
  * Update hostname and namespace to match serial
  * Resolved indexing issue
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-clearpath-config (0.0.4-1jammy) jammy; urgency=high

  * Added __init__ to common
  * Only run pytest on clearpath_config
  * Linting errors
  * Added samples to installed share
  * Removed parser
  * Updated pytests
  * Renamed configs
  * Added license file
  * Added license headers
  * Renamed accessories to links in top level config
  * Replaced accessories module with links
  * Renamed decorations and accessories
  * Standard lists
  * Removed all old samples
  * Added workspace setter
  * Added workspaces
  * Fixed rpy type
  * Removed copy
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 17 Jul 2023 04:00:00 -0000

ros-humble-clearpath-config (0.0.3-1jammy) jammy; urgency=high

  * Fixed parsing issues
  * Added python3-yaml to dependencies
  * Removed old parser
  * Removed unused code
  * Added updates to change indexing based on serial number
  * Added sensors to property system
  * Added __init__ to all subfolders
  * Added mounts to main config
  * Moved mount types to separate folder
  * Added read and write functions to ClearpathConfig
  * Added accessories to property method
  * Updated all configs to use properties instead of setters
  * Updated base config to use properties to update config
  * Updated clearpath config to property setters
  * Removed old common and updated serial number type
  * Updated system to use global serial number
  * Updated platform to property setters
  * Changed System config to property setters
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Jul 2023 04:00:00 -0000

ros-humble-clearpath-config (0.0.2-1jammy) jammy; urgency=high

  * Fixed gps indexing
  * Added system ROS2 parameters
  * Decorations enabled by default
  * Added resource and package.xml to install data files
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 12 Jun 2023 04:00:00 -0000

ros-humble-clearpath-config (0.0.1-1jammy) jammy; urgency=high

  * Merge pull request #17 <https://github.com/clearpathrobotics/clearpath_config/issues/17> from clearpathrobotics/readme
    Updated README with up-to-date configs
  * Merge pull request #16 <https://github.com/clearpathrobotics/clearpath_config/issues/16> from clearpathrobotics/ros2
    ROS2 Package
  * Merge pull request #15 <https://github.com/clearpathrobotics/clearpath_config/issues/15> from clearpathrobotics/controller
    Controller
  * Merge pull request #14 <https://github.com/clearpathrobotics/clearpath_config/issues/14> from clearpathrobotics/accessory
    Accessory
  * Add metadatat to  setup.py
  * Added ROS tests
  * Updated cfg with install directories
  * Added package.xml
  * Fixed decoration parser
  * Fixed Decoration parsing
  * Linter errors
  * Added controller
  * Added Accessories to YAML
  * Added all lists for Accessories
  * Fixed type assertion
  * Updated link to common BaseAccessory
  * Added visual file path
  * Added check for triple values
  * Add Mesh
  * Added Sphere
  * Added Cylinder
  * Added Box
  * Added
  * BaseAccessory
  * Updated sample config
  * Added  to decorations
  * Set 'None' does nothing
  * Decorations are now Accessories
  * Merge pull request #13 <https://github.com/clearpathrobotics/clearpath_config/issues/13> from clearpathrobotics/gps
    Added GPS
  * Default microstrain port to
  * Added Fixed and Target frame to Velodyne
  * Fixed GPS ros_parameter keys
  * Merge pull request #12 <https://github.com/clearpathrobotics/clearpath_config/issues/12> from clearpathrobotics/lidar_3d
    Lidar3D
  * Added GPS
  * Added Lidar3D to sample config
  * Parse Lidar3D
  * Added lidar3d
  * Updated Port to ensure always stores
  * Merge pull request #11 <https://github.com/clearpathrobotics/clearpath_config/issues/11> from clearpathrobotics/imu
    IMU
  * Add IMU to get_all_sensors
  * Merge pull request #10 <https://github.com/clearpathrobotics/clearpath_config/issues/10> from clearpathrobotics/ros_parameters
    ROS Parameters
  * Added check to increment IMU index
  * Added IMU to sample A200 config
  * Minor fix to return type
  * Added IMU to parser
  * Removed checking for nested parameters (assume flattened ros_parameters)
  * Flatten ros_parameters dict
  * Added flatten dict
  * Added  to Realsense
  * Fixed camera return type
  * Initial IMU commit
  * Added frame_id to parser
  * Fixed comments
  * Added FRAME_ID
  * Added ros_parameters to config
  * Parse ros_parameters
  * Added ros_parameters
  * Merge pull request #9 <https://github.com/clearpathrobotics/clearpath_config/issues/9> from clearpathrobotics/indexing
    Indexing

