## ros-humble-clearpath-config 0.2.11

=== debian/changelog ===
ros-humble-clearpath-config (0.2.11-1bookworm) bookworm; urgency=high

  * Adds GQ7 as possible sensor
  * Contributors: robbiefish

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.10-1bookworm) bookworm; urgency=high

  * Updated Microstrain link parameter
  * Updated Realsense parameters
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.9-1bookworm) bookworm; urgency=high

  * Added Zed to configuration
  * Added Zed as type of camera
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.8-1bookworm) bookworm; urgency=high

  * Renamed node to intel_realsense in config
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.7-1bookworm) bookworm; urgency=high

  * Re-added host and namespace
  * W200 attachments default to 0
  * Minimal samples.
  * Removed long line
  * Added launch to extras
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.6-1bookworm) bookworm; urgency=high

  * Switched local server to be referenced as loopback in the ROS_DISCOVERY_SERVER envar
  * Add discovery server support
  * assertion error if the hostname is blank (otherwise causes an invalid index exception)
  * Add localhost field which is set automatically
  * Reformat hosts section to single list of all computers
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 17 Mar 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.5-1bookworm) bookworm; urgency=high

  * Add republishers to camera
  * Added battery launch arguments to support launching the valence bms node
  * Fix ros_parameters
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 05 Mar 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.4-1bookworm) bookworm; urgency=high

  * Install the W200 samples.
  * Fixed j100 and w200 laser sample
  * Contributors: Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 21 Jan 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.3-1bookworm) bookworm; urgency=high

  * Give option to get topic without namespace
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 09 Jan 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.2-1bookworm) bookworm; urgency=high

  * Fix how blank urdf extras is handled
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.1-1bookworm) bookworm; urgency=high

  * Find packages for meshes / extras urdf (#45 <https://github.com/clearpathrobotics/clearpath_config/issues/45>)
    * Allow meshes visual and extras urdf to be linked using find package functionality
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-clearpath-config (0.2.0-1bookworm) bookworm; urgency=high

  * Added wheel parameter to platform
  * Fixed typo
  * Added dd150 samples
  * Added dd100 samples
  * Fixed origin of pacs mounts
  * Renamed SLA on Dingo
  * Added entries for all dingo
  * Updated sample to match attachments rework
  * Fixed merge issues
  * Added more warthog samples
  * Updated sample default_mount
  * Removed duplicate
  * Added W200 attachments
  * Updated default mounts on j100
  * Updated default mounts on a200
  * Changed default parent link to default_mount
  * Changed the parent link of attachments
  * Removed blannk line
  * Removed top_plate from tests
  * Updated samples
  * Common attachments accross platforms
  * Concatenate lists
  * Updated all platform attachments
  * Updated base attachment
  * Attachments now list
  * Updated Attachments to more genric case
  * Removed specific attachment classes
  * Remove all from list
  * Accessory from/to dict
  * Fixed long line for linter
  * Moved username out of ros2 section
  * Re-define DEFAULTS based on platform
  * Detailed errors
  * Fixed typo in samples
  * Updated battery model
  * Switched configurations
  * Update commit
  * Revert "Added battery to platform"
    This reverts commit fce11835ca8d6c477890084761075b5b46532bf2.
  * Added battery to platform
  * Added control section
  * Consistent naming
  * Added topics to base and fixed typos
  * Added get_topic and get_topic_rate
  * Added TOPICS and get_topic
  * Added description and launch to generic robot platform
  * Added Warthog without Attachments or ROS Parameters
  * Contributors: Luis Camero, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 06 Dec 2023 16:00:00 -0000

ros-humble-clearpath-config (0.1.1-1bookworm) bookworm; urgency=high

  * Removed micro_ros_ws
  * Velodyne changes
  * clearpath_config/sensors/types/lidars_2d.py
  * FPS expected as float
  * Added ros_parameter_template
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-clearpath-config (0.1.0-1bookworm) bookworm; urgency=high

  * Updated samples to include workspace
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 30 Aug 2023 16:00:00 -0000

ros-humble-clearpath-config (0.0.6-1bookworm) bookworm; urgency=high

  * Added all modules to setup.py
  * Removed J100 bumpers from samples
  * Updated sample configs
  * Added posts and disks to samples
  * Removed unused include
  * Split tower into post and disk
  * Renamed ust10 to ust
  * Updated README
  * Updated samples
  * Removed eof line
  * Fixed port paths
  * Added fenders, default disabled
  * Added ROS CI, issue templates and codeowners.

