=== debian/control ===
Source: ros-humble-clearpath-config
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-config
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, ros-humble-ros-workspace
Description: Clearpath Configuration YAML Parser and Writer
